"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readJSONFileSync = exports.defaultPluginConfig = exports.defaultServiceConfig = void 0;
const fs = require("fs");
const defaultRenderingConfig = {
    chromeBin: undefined,
    args: ['--no-sandbox', '--disable-gpu'],
    ignoresHttpsErrors: false,
    timezone: undefined,
    acceptLanguage: undefined,
    width: 1000,
    height: 500,
    deviceScaleFactor: 1,
    maxWidth: 3000,
    maxHeight: 3000,
    maxDeviceScaleFactor: 4,
    mode: 'default',
    clustering: {
        mode: 'browser',
        maxConcurrency: 5,
        timeout: 30,
    },
    verboseLogging: false,
    dumpio: false,
    timingMetrics: false,
};
exports.defaultServiceConfig = {
    service: {
        host: undefined,
        port: 8081,
        metrics: {
            enabled: false,
            collectDefaultMetrics: true,
            requestDurationBuckets: [0.5, 1, 3, 5, 7, 10, 20, 30, 60],
        },
        logging: {
            level: 'info',
            console: {
                json: true,
                colorize: false,
            },
        },
    },
    rendering: defaultRenderingConfig,
};
exports.defaultPluginConfig = {
    plugin: {
        grpc: {
            host: '127.0.0.1',
            port: 0,
        },
    },
    rendering: defaultRenderingConfig,
};
const readJSONFileSync = (filePath) => {
    const rawdata = fs.readFileSync(filePath, 'utf8');
    return JSON.parse(rawdata);
};
exports.readJSONFileSync = readJSONFileSync;
//# sourceMappingURL=config.js.map